org.optaplanner.benchmark.impl

## Class DefaultPlannerBenchmark

- java.lang.Object
- - org.optaplanner.benchmark.impl.DefaultPlannerBenchmark

- All Implemented Interfaces:
    PlannerBenchmark

      public class DefaultPlannerBenchmark
      extends Object
      implements PlannerBenchmark

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`
    `protected org.slf4j.Logger` | `singleBenchmarkRunnerExceptionLogger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPlannerBenchmark(PlannerBenchmarkResult plannerBenchmarkResult, SolverConfigContext solverConfigContext, File benchmarkDirectory, ExecutorService warmUpExecutorService, ExecutorService executorService, BenchmarkReport benchmarkReport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `benchmark()` Run all the single benchmarks and create an overview report.
    `void` | `benchmarkAndShowReportInBrowser()` Run all the single benchmarks, create an overview report and show it in the default browser.
    `void` | `benchmarkingEnded()`
    `void` | `benchmarkingStarted()`
    `long` | `calculateTimeMillisSpent()`
    `File` | `getBenchmarkDirectory()`
    `BenchmarkReport` | `getBenchmarkReport()`
    `PlannerBenchmarkResult` | `getPlannerBenchmarkResult()`
    `protected void` | `runSingleBenchmarks()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### singleBenchmarkRunnerExceptionLogger

          protected final transient org.slf4j.Logger singleBenchmarkRunnerExceptionLogger

  - ### Constructor Detail

    - #### DefaultPlannerBenchmark

          public DefaultPlannerBenchmark(PlannerBenchmarkResult plannerBenchmarkResult,
                                         SolverConfigContext solverConfigContext,
                                         File benchmarkDirectory,
                                         ExecutorService warmUpExecutorService,
                                         ExecutorService executorService,
                                         BenchmarkReport benchmarkReport)

  - ### Method Detail

    - #### getPlannerBenchmarkResult

          public PlannerBenchmarkResult getPlannerBenchmarkResult()

    - #### getBenchmarkDirectory

          public File getBenchmarkDirectory()

    - #### getBenchmarkReport

          public BenchmarkReport getBenchmarkReport()

    - #### benchmark

          public void benchmark()

      Description copied from interface: `PlannerBenchmark`
      Run all the single benchmarks and create an overview report.
      Specified by:
        `benchmark` in interface `PlannerBenchmark`

    - #### benchmarkingStarted

          public void benchmarkingStarted()

    - #### runSingleBenchmarks

          protected void runSingleBenchmarks()

    - #### benchmarkingEnded

          public void benchmarkingEnded()

    - #### calculateTimeMillisSpent

          public long calculateTimeMillisSpent()

    - #### benchmarkAndShowReportInBrowser

          public void benchmarkAndShowReportInBrowser()

      Description copied from interface: `PlannerBenchmark`
      Run all the single benchmarks, create an overview report and show it in the default browser.
      Specified by:
        `benchmarkAndShowReportInBrowser` in interface `PlannerBenchmark`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.